docs

# LocationContent

interface LocationContent : MessageContent
Content copied to clipboard

MessageContent with location. This interface contains copy method for cases when you do not want to use some class casts for copying of content

## See also

dev.inmo.tgbotapi.types.message.content.LocationContentSerializer
dev.inmo.tgbotapi.types.location.Location

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Functions

copy
Link copied to clipboard
open fun copy (location: Location = this.location)
Content copied to clipboard
createResend
Link copied to clipboard
abstract fun createResend ( chatId: ChatIdentifier , disableNotification: Boolean = false, protectContent: Boolean = false, replyToMessageId: MessageIdentifier ? = null, allowSendingWithoutReply: Boolean ? = null, replyMarkup: KeyboardMarkup ? = null): Request <out Message >
Content copied to clipboard

## Properties

location
Link copied to clipboard
abstract val location : Location
Content copied to clipboard

## Inheritors

LiveLocationContent
Link copied to clipboard
StaticLocationContent
Link copied to clipboard